Subject: Re: [PATCH net v2] ethtool: plca: fix plca enable data type while parsing the value

From: Jakub Kicinski <[email-masked]>
Date: Thu, 7 Sep 2023 20:44:50 -0700

On Fri, 8 Sep 2023 19:33:46 +0530 Parthiban Veerasooran wrote:
> The ETHTOOL_A_PLCA_ENABLED data type is u8. But while parsing the
> value from the attribute, nla_get_u32() is used in the plca_update_sint()
> function instead of nla_get_u8(). So plca_cfg.enabled variable is updated
> with some garbage value instead of 0 or 1 and always enables plca even
> though plca is disabled through ethtool application. This bug has been
> fixed by parsing the values based on the attributes type in the policy.
> 
> Fixes: 8580e16c28f3 ("net/ethtool: add netlink interface for the PLCA RS")
> Signed-off-by: Parthiban Veerasooran <[email-masked]>

One second look you need to fix the date on your system and resend.
The patch came to us with a date 24h in the future it will confuse
patchwork.